# Generated for IBM Rational Tau 4.3.0.4.22615 at Fri Dec 02 12:10:52 AM CET 2011
# Licensed Materials - Property of IBM 
# (c) Copyright IBM Corporation 2002,2011.  All Rights Reserved.
# 
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

proc ReportDependencies { elmt } {

  if { [catch { set dependencyList [u2::GetEntities $elmt ClientDependency] } ] } { return };

  if { [llength $dependencyList] == 0 } { return }

  foreach dependency $dependencyList {
    if { [set supplier [u2::GetEntity $dependency Supplier]] == 0 } {
      set supplier [u2::GetReference $dependency Supplier]
    }
    set supplierRef [GetReference $supplier 1]
    set supplierName [GetElementName $supplier]

    set stereotypeInstanceList [u2::GetEntities $dependency StereotypeInstance]

    foreach stereotypeInstance $stereotypeInstanceList {

      set dependencyStereotypeName [GetElementName [u2::GetEntity $stereotypeInstance InstanceOf]]

      switch $dependencyStereotypeName {
        access {
            html_bullet "Accesses: $supplierRef"
        }
        deploy {
          html_bullet "Deploys: $supplierRef"
        }
        import {
          html_bullet "Imports: $supplierRef"
        }
        include {
          html_bullet "Includes: $supplierRef"
        }
        default {
          dbg::Output "Unknown dependency stereotype: $dependencyStereotypeName\n"
        }
      };#end_switch stereotype instance name

    };#end_foreach stereotype instance

  };#end_foreach dependency

};#end_proc ReportDependencies
